"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tripetto_1 = require("tripetto");
var bootstrap_1 = require("./bootstrap");
exports.STYLES = [
    {
        title: tripetto_1.pgettext("collector-standard-bootstrap", "Basics"),
        description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the basic appearance."),
        styles: [
            {
                name: "backgroundColor",
                type: "color",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Background color"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the background (transparent, or a color).")
            },
            {
                name: "textFont",
                type: "dropdown-custom",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Text font"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the font family."),
                options: [
                    {
                        label: tripetto_1.pgettext("collector-standard-bootstrap", "Default"),
                        value: ""
                    },
                    {
                        label: "Arial",
                        value: "Arial, Helvetica, Sans-Serif"
                    },
                    {
                        label: "Arial Black",
                        value: "Arial Black, Gadget, Sans-Serif"
                    },
                    {
                        label: "Comic Sans MS",
                        value: "Comic Sans MS, Textile, Cursive, Sans-Serif"
                    },
                    {
                        label: "Courier New",
                        value: "Courier New, Courier, Monospace"
                    },
                    {
                        label: "Georgia",
                        value: "Georgia, Times New Roman, Times, Serif"
                    },
                    {
                        label: "Impact",
                        value: "Impact, Charcoal, Sans-Serif"
                    },
                    {
                        label: "Lucida Console",
                        value: "Lucida Console, Monaco, Monospace"
                    },
                    {
                        label: "Lucida Sans Unicode",
                        value: "Lucida Sans Unicode, Lucida Grande, Sans-Serif"
                    },
                    {
                        label: "Palatino Linotype",
                        value: "Palatino Linotype, Book Antiqua, Palatino, Serif"
                    },
                    {
                        label: "Tahoma",
                        value: "Tahoma, Geneva, Sans-Serif"
                    },
                    {
                        label: "Times New Roman",
                        value: "Times New Roman, Times, Serif"
                    },
                    {
                        label: "Trebuchet MS",
                        value: "Trebuchet MS, Helvetica, Sans-Serif"
                    },
                    {
                        label: "Verdana",
                        value: "Verdana, Geneva, Sans-Serif"
                    }
                ]
            },
            {
                name: "textColor",
                type: "color",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Text color"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the text color.")
            },
            {
                name: "mode",
                type: "radiobuttons",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Mode"),
                buttons: [
                    {
                        label: tripetto_1.pgettext("collector-standard-bootstrap", "Paginated"),
                        value: "paginated",
                        description: tripetto_1.pgettext(
                            "collector-standard-bootstrap",
                            "Blocks are presented page for page and the user navigates through the pages using the next and back buttons."
                        )
                    },
                    {
                        label: tripetto_1.pgettext("collector-standard-bootstrap", "Continuous"),
                        value: "continuous",
                        description: tripetto_1.pgettext(
                            "collector-standard-bootstrap",
                            "This will keep all past blocks in view as the user navigates using the next and back buttons."
                        )
                    },
                    {
                        label: tripetto_1.pgettext("collector-standard-bootstrap", "Progressive"),
                        value: "progressive",
                        description: tripetto_1.pgettext(
                            "collector-standard-bootstrap",
                            "In this mode all possible blocks are presented to the user. The user does not need to navigate using the next and back buttons (so we can hide those buttons)."
                        )
                    }
                ],
                default: "paginated"
            },
            {
                name: "optionsStatic",
                type: "static",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Options")
            },
            {
                name: "showEnumerators",
                type: "checkbox",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Display enumerators"),
                description: tripetto_1.pgettext(
                    "collector-standard-bootstrap",
                    "Specifies if block enumerators (question numbers) should be displayed."
                )
            },
            {
                name: "showPageIndicators",
                type: "checkbox",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Dispay page indicators"),
                description: tripetto_1.pgettext(
                    "collector-standard-bootstrap",
                    "Shows an index with pages (only works in paginated mode when there is more than 1 page)."
                )
            },
            {
                name: "showProgressbar",
                dependsOn: "showNavigation",
                type: "checkbox",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Display progressbar"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies if the progressbar should be displayed.")
            }
        ]
    },
    {
        base: "backgroundImage",
        optional: true,
        title: tripetto_1.pgettext("collector-standard-bootstrap", "Background image"),
        description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies an optional background image."),
        styles: [
            {
                name: "url",
                type: "image",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "URL"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the URL of the background image.")
            },
            {
                name: "size",
                type: "dropdown",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Size"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the sizing of the background image."),
                options: [
                    {
                        label: tripetto_1.pgettext("collector-standard-bootstrap", "Auto (image centered)"),
                        value: "auto"
                    },
                    {
                        label: tripetto_1.pgettext("collector-standard-bootstrap", "Width (100% width, height centered)"),
                        value: "100% auto"
                    },
                    {
                        label: tripetto_1.pgettext("collector-standard-bootstrap", "Height (width centered, 100% height)"),
                        value: "auto 100%"
                    },
                    {
                        label: tripetto_1.pgettext("collector-standard-bootstrap", "Cover (full screen)"),
                        value: "cover"
                    },
                    {
                        label: tripetto_1.pgettext("collector-standard-bootstrap", "Contain (full image stretched over screen)"),
                        value: "contain"
                    },
                    {
                        label: tripetto_1.pgettext("collector-standard-bootstrap", "Repeat (repeat image over screen)"),
                        value: "repeat"
                    }
                ],
                default: "auto"
            }
        ]
    },
    {
        base: "form",
        optional: true,
        title: tripetto_1.pgettext("collector-standard-bootstrap", "Form"),
        description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the appearance of the elements in the form."),
        styles: [
            {
                name: "inputStyle",
                type: "dropdown",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Common elements"),
                description: tripetto_1.pgettext(
                    "collector-standard-bootstrap",
                    "Specifies the style of common elements (text inputs, dropdowns, etc.)."
                ),
                options: [
                    {
                        label: tripetto_1.pgettext("collector-standard-bootstrap", "Default"),
                        value: ""
                    }
                ].concat(bootstrap_1.BOOTSTRAP_STYLES_BASIC),
                default: ""
            },
            {
                name: "unselectedStyle",
                type: "dropdown",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Unselected form buttons"),
                description: tripetto_1.pgettext(
                    "collector-standard-bootstrap",
                    "Specifies the style of form buttons that are not selected."
                ),
                options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                default: "light"
            },
            {
                name: "selectedStyle",
                type: "dropdown",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Selected form buttons"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the style of form buttons that are selected."),
                options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                default: "success"
            },
            {
                name: "neutralStyle",
                type: "dropdown",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Neutral form buttons"),
                description: tripetto_1.pgettext(
                    "collector-standard-bootstrap",
                    "Specifies the style of form buttons that have a neutral value (e.g. default in Yes/No)."
                ),
                options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                default: "outline-secondary"
            },
            {
                name: "positiveStyle",
                type: "dropdown",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Positive form buttons"),
                description: tripetto_1.pgettext(
                    "collector-standard-bootstrap",
                    "Specifies the style of form buttons that have a positive value (e.g. Yes in Yes/No)."
                ),
                options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                default: "success"
            },
            {
                name: "negativeStyle",
                type: "dropdown",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Negative form buttons"),
                description: tripetto_1.pgettext(
                    "collector-standard-bootstrap",
                    "Specifies the style of form buttons that have a negative value (e.g. No in Yes/No)."
                ),
                options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                default: "danger"
            }
        ]
    },
    {
        base: "buttons",
        optional: true,
        title: tripetto_1.pgettext("collector-standard-bootstrap", "Buttons"),
        description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the appearance of the buttons in the form."),
        styles: [
            {
                name: "nextStyle",
                type: "dropdown",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Next button color"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the style of the next button in the form."),
                options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                default: "primary"
            },
            {
                name: "nextLabel",
                type: "label",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Next button label"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the label of the next button in the form.")
            },
            {
                name: "backStyle",
                type: "dropdown",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Back button color"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the style of the back button in the form."),
                options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                default: "primary"
            },
            {
                name: "backLabel",
                type: "label",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Back button label"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the label of the back button in the form.")
            },
            {
                name: "completeStyle",
                type: "dropdown",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Complete button color"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the style of the complete button in the form."),
                options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                default: "success"
            },
            {
                name: "completeLabel",
                type: "label",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Complete button label"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the label of the complete button in the form.")
            },
            {
                name: "pauseStyle",
                type: "dropdown",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Pause button color"),
                description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the style of the pause button in the form."),
                options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                default: "success"
            }
        ]
    },
    {
        base: "navigation",
        optional: true,
        dependsOn: "showNavigation",
        title: tripetto_1.pgettext("collector-standard-bootstrap", "Navigation bar"),
        description: tripetto_1.pgettext("collector-standard-bootstrap", "Specifies the appearance of the navigation bar."),
        styles: [
            {
                name: "paginationStyle",
                dependsOn: "showPageIndicators",
                type: "dropdown",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Pagination buttons"),
                description: tripetto_1.pgettext(
                    "collector-standard-bootstrap",
                    "Specifies the style of the buttons in the pagination bar."
                ),
                options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                default: "light"
            },
            {
                name: "progressbarStyle",
                dependsOn: "showProgressbar",
                type: "dropdown",
                title: tripetto_1.pgettext("collector-standard-bootstrap", "Progress bar color"),
                description: tripetto_1.pgettext(
                    "collector-standard-bootstrap",
                    "Specifies the style of the progress in the progress bar."
                ),
                options: bootstrap_1.BOOTSTRAP_STYLES_BASIC,
                default: "primary"
            }
        ]
    }
];
